# Method: accounts.autofeedSettings.updateAutofeedSettings

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.autofeedSettings/updateAutofeedSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.autofeedSettings/updateAutofeedSettings#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.autofeedSettings/updateAutofeedSettings#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.autofeedSettings/updateAutofeedSettings#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.autofeedSettings/updateAutofeedSettings#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.autofeedSettings/updateAutofeedSettings#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.autofeedSettings/updateAutofeedSettings#try-it)

Updates the autofeed settings of an account.

### HTTP request

`PATCH https://merchantapi.googleapis.com/accounts/v1alpha/{autofeedSettings.name=accounts/*/autofeedSettings}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `autofeedSettings.name` | `string` Identifier. The resource name of the autofeed settings. Format: `accounts/{account}/autofeedSettings`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. List of fields being updated. |

### Request body

The request body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.autofeedSettings#AutofeedSettings`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.autofeedSettings#AutofeedSettings`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).